Summary:        Software watchdog
Name:           watchdog
Version:        5.4
Release:        %mkrel 2
Group:          System/Kernel and hardware
License:        GPL & QPL
URL:            http://metalab.unc.edu/pub/Linux/system/daemons/watchdog/
Source0:        ftp://metalab.unc.edu/pub/Linux/system/daemons/watchdog/watchdog-%{version}.tar.gz
Source1:        watchdog-udev.nodes
Source2:        watchdog-makedev.d-watchdog
Source3:        watchdog-udev.rules
Patch0:         watchdog-5.4-init.patch
Patch1:         watchdog-5.2.3-x86_64.patch
Requires(post): rpm-helper
Requires(postun): rpm-helper
Requires:       initscripts >= 4.97-49mdk
Requires:       kernel
BuildRequires:  kernel-headers
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Watchdog monitors various aspects of a machine to ensure that is has not
locked up.  In the event that a machine has locked up, watchdog will envoke
a reboot of the system.

%prep

%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure2_5x
%make

%check
make check

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/sysconfig
%{__mkdir_p} %{buildroot}%{_initrddir}
%{__mkdir_p} %{buildroot}%{_sbindir}
%{__mkdir_p} %{buildroot}%{_mandir}/man{5,8}
%{__cp} -a watchdog.conf %{buildroot}%{_sysconfdir}/
%{__cp} -a watchdog.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/watchdog
%{__cp} -a rc.watchdog.redhat %{buildroot}%{_initrddir}/watchdog 
%{__cp} -a src/watchdog %{buildroot}%{_sbindir}/
%{__cp} -a watchdog.8 %{buildroot}%{_mandir}/man8/
%{__cp} -a watchdog.conf.5 %{buildroot}%{_mandir}/man5/

%{__mkdir_p} %{buildroot}%{_sysconfdir}/udev/devices.d
%{__cp} -a %{SOURCE1} %{buildroot}%{_sysconfdir}/udev/devices.d/99-watchdog.nodes
%{__mkdir_p} %{buildroot}%{_sysconfdir}/makedev.d
%{__cp} -a %{SOURCE2} %{buildroot}%{_sysconfdir}/makedev.d/z-watchdog
%{__mkdir_p} %{buildroot}%{_sysconfdir}/udev/rules.d/
%{__cp} -a %{SOURCE3} %{buildroot}%{_sysconfdir}/udev/rules.d/99-watchdog.rules

%post
%_post_service watchdog

%preun
%_preun_service watchdog

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%attr(0755,root,root) %{_sbindir}/watchdog
%attr(0755,root,root) %{_initrddir}/watchdog
%{_mandir}/man5/watchdog.conf.5*
%{_mandir}/man8/watchdog.8*
%config(noreplace) %{_sysconfdir}/watchdog.conf
%config(noreplace) %{_sysconfdir}/sysconfig/watchdog
%config(noreplace) %{_sysconfdir}/makedev.d/z-watchdog
%config(noreplace) %{_sysconfdir}/udev/rules.d/99-watchdog.rules
%config(noreplace) %{_sysconfdir}/udev/devices.d/99-watchdog.nodes


%changelog
* Sun Jul 20 2008 Oden Eriksson <oeriksson@mandriva.com> 5.4-2mdv2009.0
+ Revision: 239010
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 David Walluck <walluck@mandriva.org> 5.4-1mdv2008.0
+ Revision: 65319
- 5.4
- add udev support
- rediff initscript patch

* Wed Jun 20 2007 David Walluck <walluck@mandriva.org> 5.3.1-1mdv2008.0
+ Revision: 41716
- spec cleanup
- fix PreReq use
- 5.3.1
- use pristine source
- remove unneeded patches
- own /dev/watchdog
- create /dev/watchdog before service start
- more explicit file list
- LSB init support


* Tue May 10 2005 Frederic Lepied <flepied@mandriva.com> 5.2.3-2mdk
- fix build on x86_64

* Tue Jun 03 2003 Frederic Lepied <flepied@mandrakesoft.com> 5.2.3-1mdk
- 5.2.3
- open /dev/watchdog by default

* Thu Jun 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 5.2-2mdk
- patch1: patch sundries.cc

* Fri Sep 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 5.2-1mdk
- added by Oden Eriksson <oden.eriksson@kvikkjokk.net> :
	- initial cooker contrib
	- update to 5.2
	- added patch0

* Sat Jun 24 2000 Soenke J. Peters <peters+rpm@simprovement.com>
- RedHat Build

* Wed Apr 19 2000 Marc Christensen <marc@calderasystems.com>
- Initial Caldera Build

